<div class="export-appt-container">
  <div class="mb-2 normal_14px_22px_font" style="color: #1c1b1b;">Please select the booking(s) to export / print /
    email
  </div>

  <div class="appt-list-container">
    <ul class="p-0 m-0" style="list-style: none;">
      <li class="normal_14px_22px_font" *ngFor="let appt of apptListFiltered; let i = index;" style="color: #1c1b1b; cursor:pointer;"
          [class.appt-export-item-selected]="appt['isSelected']" (click)="selectItem($event, i)">
        <span style="user-select: none;">{{appt.startDateUTC | timeFormat:'ddd, DD MMM YYYY'}}</span>
        <span style="user-select: none;"> @ </span>
        <span style="user-select: none;">{{appt.startDateUTC | timeFormat:'hh:mm A'}}</span>
        <span style="user-select: none;"> by </span>
        <span style="user-select: none;"> {{appt.practitionerName}} </span>
        <span style="user-select: none;">, </span>
        <span style="user-select: none;">{{appt.currentStatus}}</span>
      </li>
    </ul>
  </div>

  <div class="export-appt-footer-container">

    <div class="mb-3 mt-2" style="font-size:12px;color: #575757;">
      <div>Hold Shift to Select range.</div>
      <div>Hold Ctrl/Cmd to Select individual notes.</div>
    </div>

    <div class="export-appt-filter-container">
      <div class="d-flex">
        <mat-checkbox [formControl]="excludeCancelled" color="primary" (change)="filterData()">
          <span style="font-size: 12px; color: #575757;">Exclude Cancelled Bookings</span>
        </mat-checkbox>
        <mat-checkbox [formControl]="excludeMissed" color="primary" (change)="filterData()">
          <span style="font-size: 12px; color: #575757;">Exclude Missed Bookings</span>
        </mat-checkbox>
      </div>
      <div class="d-flex mt-2">
        <mat-checkbox [formControl]="excludeDeleted" color="primary" (change)="filterData()">
          <span style="font-size: 12px; color: #575757;">Exclude Deleted Bookings</span>
        </mat-checkbox>
      </div>
    </div>
  </div>

  <div class="text-right">

    <button mat-raised-button class="preview-btn" (click)="preview()">
      Preview
    </button>

  </div>
</div>
